| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Functions
featureSet.h File Reference
`#include <ARX/AR2/config.h>`
`#include <ARX/AR2/imageSet.h>`
Include dependency graph for featureSet.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | AR2FeatureMapT
struct | AR2FeatureCoordT
struct | AR2FeaturePointsT
struct | AR2FeatureSetT

## Functions
AR2_EXTERN AR2FeatureMapT * | ar2GenFeatureMap (AR2ImageT *image, int ts1, int ts2, int search_size1, int search_size2, float max_sim_thresh, float sd_thresh)
AR2_EXTERN AR2FeatureMapT * | ar2ReadFeatureMap (char *filename, char *ext)
AR2_EXTERN int | ar2SaveFeatureMap (char *filename, char *ext, AR2FeatureMapT *featureMap)
AR2_EXTERN int | ar2FreeFeatureMap (AR2FeatureMapT *featureMap)
AR2_EXTERN int | ar2PrintFeatureInfo (AR2ImageT *image, AR2FeatureMapT *featureMap, int ts1, int ts2, int search_size2, int cx, int cy)
AR2_EXTERN AR2FeatureCoordT * | ar2SelectFeature (AR2ImageT *image, AR2FeatureMapT *featureMap, int ts1, int ts2, int search_size2, int occ_size, float max_sim_thresh, float min_sim_thresh, float sd_thresh, int *num)
AR2_EXTERN AR2FeatureCoordT * | ar2SelectFeature2 (AR2ImageT *image, AR2FeatureMapT *featureMap, int ts1, int ts2, int search_size2, int occ_size, float max_sim_thresh, float min_sim_thresh, float sd_thresh, int *num)
AR2_EXTERN AR2FeatureSetT * | ar2ReadFeatureSet (const char *filename, const char *ext)
AR2_EXTERN int | ar2SaveFeatureSet (const char *filename, const char *ext, AR2FeatureSetT *featureSet)
AR2_EXTERN int | ar2FreeFeatureSet (AR2FeatureSetT **featureSet)

## Function Documentation

## ◆ ar2FreeFeatureMap()

AR2_EXTERN int ar2FreeFeatureMap | ( | AR2FeatureMapT * | featureMap | ) |

## ◆ ar2FreeFeatureSet()

AR2_EXTERN int ar2FreeFeatureSet | ( | AR2FeatureSetT ** | featureSet | ) |

## ◆ ar2GenFeatureMap()

AR2_EXTERN AR2FeatureMapT * ar2GenFeatureMap | ( | AR2ImageT * | image,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size1,
|  | int | search_size2,
|  | float | max_sim_thresh,
|  | float | sd_thresh
| ) |  |

## ◆ ar2PrintFeatureInfo()

AR2_EXTERN int ar2PrintFeatureInfo | ( | AR2ImageT * | image,
|  | AR2FeatureMapT * | featureMap,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size2,
|  | int | cx,
|  | int | cy
| ) |  |

## ◆ ar2ReadFeatureMap()

AR2_EXTERN AR2FeatureMapT * ar2ReadFeatureMap | ( | char * | filename,
|  | char * | ext
| ) |  |

## ◆ ar2ReadFeatureSet()

AR2_EXTERN AR2FeatureSetT * ar2ReadFeatureSet | ( | const char * | filename,
|  | const char * | ext
| ) |  |

## ◆ ar2SaveFeatureMap()

AR2_EXTERN int ar2SaveFeatureMap | ( | char * | filename,
|  | char * | ext,
|  | AR2FeatureMapT * | featureMap
| ) |  |

## ◆ ar2SaveFeatureSet()

AR2_EXTERN int ar2SaveFeatureSet | ( | const char * | filename,
|  | const char * | ext,
|  | AR2FeatureSetT * | featureSet
| ) |  |

## ◆ ar2SelectFeature()

AR2_EXTERN AR2FeatureCoordT * ar2SelectFeature | ( | AR2ImageT * | image,
|  | AR2FeatureMapT * | featureMap,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size2,
|  | int | occ_size,
|  | float | max_sim_thresh,
|  | float | min_sim_thresh,
|  | float | sd_thresh,
|  | int * | num
| ) |  |

## ◆ ar2SelectFeature2()

AR2_EXTERN AR2FeatureCoordT * ar2SelectFeature2 | ( | AR2ImageT * | image,
|  | AR2FeatureMapT * | featureMap,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size2,
|  | int | occ_size,
|  | float | max_sim_thresh,
|  | float | min_sim_thresh,
|  | float | sd_thresh,
|  | int * | num
| ) |  |